Update rule
curl --request PATCH \
--url https://api.qa.tech/v1/rules/{ruleId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"content": "<string>",
"applicationShortId": "<string>",
"labelFilter": "<string>",
"scenarioShortIds": [
"<string>"
],
"urlPathFilter": "<string>",
"sortOrder": 123,
"projectShortId": "<string>"
}
'import requests
url = "https://api.qa.tech/v1/rules/{ruleId}"
payload = {
"title": "<string>",
"content": "<string>",
"applicationShortId": "<string>",
"labelFilter": "<string>",
"scenarioShortIds": ["<string>"],
"urlPathFilter": "<string>",
"sortOrder": 123,
"projectShortId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
content: '<string>',
applicationShortId: '<string>',
labelFilter: '<string>',
scenarioShortIds: ['<string>'],
urlPathFilter: '<string>',
sortOrder: 123,
projectShortId: '<string>'
})
};
fetch('https://api.qa.tech/v1/rules/{ruleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"rule": {
"id": "<string>",
"title": "<string>",
"content": "<string>",
"applicationShortId": "<string>",
"labelFilter": "<string>",
"scenarioShortIds": [
"<string>"
],
"urlPathFilter": "<string>",
"sortOrder": 123,
"createdAt": "<string>",
"updatedAt": "<string>"
}
}Rules
Update rule
Update a rule’s title, content, filters or sort order. Pass null on a filter field to clear it.
PATCH
/
v1
/
rules
/
{ruleId}
Update rule
Path Parameters
Body
application/json
Required string length:
1 - 200Required string length:
1 - 10000Set to an application short id to scope the rule, or null to clear the filter
Pattern:
^app(-.+_.+|_.+)$Set to a label to scope the rule, or null to clear the filter
Set to scenario short ids to scope the rule, or null to clear the filter
Pattern:
^scenario(-.+_.+|_.+)$Set to a URL path substring to scope the rule, or null to clear the filter
Rules are applied in ascending sort order
Target a specific project by its prefixed short ID (proj-slug_shortId or proj_shortId), as returned by the projects API. Required for organization-scoped API keys; project-scoped keys may only pass their own project's short ID.
Pattern:
^proj(-.+_.+|_.+)$Was this page helpful?
⌘I